# Directory where backup config and models are stored
default["backup"]["dir"] = "/usr/local/lib/backup"

# Use default backup model?
default["backup"]["default_model"] = true

# Compression default settings
default["backup"]["compression"]["best"] = true
default["backup"]["compression"]["fast"] = false

default['backup']['user'] = 'backup'

# Archive default settings
default["backup"]["archives"] = {}

# MongoDB default settings
if node["mongodb"]
  default["backup"]["mongodb"]["databases"] = []
  default["backup"]["mongodb"]["host"]      = "localhost"
  default["backup"]["mongodb"]["ipv6"]      = false
  default["backup"]["mongodb"]["lock"]      = false
end

# MySQL default settings
default["backup"]["mysql"]["databases"] = []
default["backup"]["mysql"]["username"]  = "root"
default["backup"]["mysql"]["host"]      = "localhost"

# PostgreSQL default settings
default["backup"]["postgresql"]["databases"] = {}
default["backup"]["postgresql"]["username"]  = "postgres"
default["backup"]["postgresql"]["host"]      = "localhost"
default["backup"]["postgresql"]["port"]      = 5432

# Redis default settings
default["backup"]["redis"]["databases"]   = []
default["backup"]["redis"]["host"]        = "localhost"
default["backup"]["redis"]["invoke_save"] = false
default["backup"]["redis"]["dump_dir"]    = "/var/lib/redis"

default['backup']['orbit']['keep'] = 10
default['backup']['cron']['hour'] = "05"
default['backup']['cron']['minute'] = "7"

default['backup']['s3']['keep'] = 15
default['backup']['s3']['bucket'] = "kosmos-dev-backups"
