#
# Cookbook:: kosmos-ejabberd
# Recipe:: backup
#
# The MIT License (MIT)
#
# Copyright:: 2019, Kosmos Developers
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.

postgresql_data_bag_item = data_bag_item('credentials', 'postgresql')

unless node.chef_environment == "development"
  # backup the data dir and the config files
  node.override["backup"]["archives"]["ejabberd"] = ["/opt/ejabberd", "/var/www/xmpp.kosmos.org", "/var/www/xmpp.5apps.com"]
  unless node["backup"]["postgresql"]["databases"].keys.include? "ejabberd"
    node.override["backup"]["postgresql"]["databases"]["ejabberd"] = {
      username: "ejabberd",
      password: postgresql_data_bag_item['ejabberd_user_password']
    }
  end
  unless node["backup"]["postgresql"]["databases"].keys.include? "ejabberd_5apps"
    node.override["backup"]["postgresql"]["databases"]["ejabberd_5apps"] = {
      username: "ejabberd",
      password: postgresql_data_bag_item['ejabberd_user_password']
    }
  end
  include_recipe "backup"
end
