#
# Cookbook Name:: kosmos-nodejs
# Recipe:: default
#
# The MIT License (MIT)
#
# Copyright:: 2019, Kosmos Developers
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.

# Get package for trusty when still using vivid
if node['lsb']['codename'] == "vivid"
  node.override["nodejs"]["install_repo"] = false
  apt_repository "node.js" do
    uri "https://deb.nodesource.com/node_8.x"
    distribution "trusty"
    components ["main"]
    keyserver node["nodejs"]["keyserver"]
    key node["nodejs"]["key"]
  end
  include_recipe "nodejs"
else
  node.override["nodejs"]["repo"] = "https://deb.nodesource.com/node_10.x"
  include_recipe "nodejs::nodejs_from_package"
end
